Bug 1670409 (CVE-2018-8798) - CVE-2018-8798 rdesktop: Minor information leak in rdpsnd_process_ping
Summary: CVE-2018-8798 rdesktop: Minor information leak in rdpsnd_process_ping
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2018-8798
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20190104,repor...
Depends On: 1670427
Blocks: 1667054
TreeView+ depends on / blocked
 
Reported: 2019-01-29 13:48 UTC by Pedro Sampaio
Modified: 2019-06-08 23:50 UTC (History)
1 user (show)

Fixed In Version: rdesktop 1.8.4
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-19 04:14:05 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2019-01-29 13:48:23 UTC
A flaw was found in rdesktop before 1.8.4. A information leak issue in rdpsnd_process_ping function may lead to unintentional exposure of data.

Upstream patch:

https://github.com/rdesktop/rdesktop/commit/766ebcf6f23ccfe8323ac10242ae6e127d4505d2
https://github.com/rdesktop/rdesktop/releases/tag/v1.8.4

Comment 1 Pedro Sampaio 2019-01-29 14:02:32 UTC
Created rdesktop tracking bugs for this issue:

Affects: fedora-all [bug 1670427]

Comment 2 Huzaifa S. Sidhpurwala 2019-02-19 04:14:05 UTC
Note:

You need to connect to a malicious or a MITM RDP server in order to trigger this flaw. The malicious RDP server can cause information leak on the client i.e. it could retrieve a small portion of the client memory space.


Note You need to log in before you can comment on or make changes to this bug.